#include<iostream>
using namespace std;
int main(){
    int n,x,t=0,i,j;
    cin>>n>>x;
    int a[n];
    for(i=0;i<n;i++)
        cin>>a[i];
    for(i=0;i<n;i++)
        for(j=i+1;j<n;j++)
            if(a[j]<a[i])
                swap(a[i],a[j]);
    if(a[0]<x){
        t+=2*(x-a[0]);
        swap(a[0],x);
    }
    else
        t+=a[0]-x;
    for(i=1;i<n;i++)
        t+=a[i]-a[i-1];
    cout<<t;
    return 0;
}